<?php

namespace customerapi\models;

use yii\base\Model;

class PasswordChangeForm  extends Model
{
    public $passwordOld;
    public $password;

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            // 123456123456123456123456123456123456
            // passwordOld and password are both required
            [['passwordOld', 'password'], 'required'],
            [['passwordOld', 'password'], 'string', 'length' => [6, 24] ],
        ];
    }

    public function attributeLabels(){
        return [
            'passwordOld' => "Jelenlegi jelszó",
            'password' => "Jelszó"
        ];
    }

}
